---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# View query export

Get specific query export by ID which (if completed successfully) contains a download link to a file in CSV format

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Query",
      "description": "Create, manage and export reports and report results based on SQL queries against your data."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/analytics/query/export/{uuid}": {
      "get": {
        "tags": [
          "Query"
        ],
        "operationId": "analytics.query.export.getById",
        "summary": "View query export",
        "description": "Get specific query export by ID which (if completed successfully) contains a download link to a file in CSV format",
        "parameters": [
          {
            "in": "path",
            "name": "uuid",
            "required": true,
            "description": "The resource's UUID identifier.",
            "schema": {
              "description": "UUID identifier of the resource.",
              "type": "string",
              "pattern": "^$|^[0-9a-fA-F]{8}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{4}\\b-[0-9a-fA-F]{12}$",
              "example": "a00fd11e-3a67-433b-83c0-4e815fd4a0e1"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Query execution response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "required": [
                    "data"
                  ],
                  "properties": {
                    "data": {
                      "type": "array",
                      "nullable": true,
                      "items": {
                        "type": "object",
                        "additionalProperties": false,
                        "required": [
                          "id",
                          "status",
                          "query",
                          "url",
                          "error",
                          "createdAt",
                          "updatedAt"
                        ],
                        "properties": {
                          "id": {
                            "example": "123e4567-e89b-12d3-a456-426614174000",
                            "type": "string",
                            "format": "uuid",
                            "description": "Query execution ID"
                          },
                          "status": {
                            "example": "pending",
                            "type": "string",
                            "description": "Query execution status"
                          },
                          "query": {
                            "example": "SELECT * FROM users",
                            "type": "string",
                            "description": "SQL query"
                          },
                          "url": {
                            "example": "https://example.com",
                            "type": "string",
                            "description": "URL to download the result"
                          },
                          "error": {
                            "example": "SQL statement is invalid",
                            "type": "string",
                            "description": "Error message"
                          },
                          "exportFormat": {
                            "example": "txt",
                            "type": "string",
                            "description": "Export format of the result"
                          },
                          "createdAt": {
                            "example": "2023-01-01T00:00:00+00:00",
                            "type": "string",
                            "format": "date-time",
                            "description": "Creation time"
                          },
                          "updatedAt": {
                            "example": "2023-01-01T00:00:00+00:00",
                            "type": "string",
                            "format": "date-time",
                            "description": "Last update time"
                          }
                        }
                      },
                      "description": "Details of the query execution"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Error response with message",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "required": [
                    "message"
                  ],
                  "properties": {
                    "message": {
                      "description": "Error message",
                      "type": "string",
                      "example": "SQL statement is invalid"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unable to authenticate the client",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message explaining why the request failed.",
                      "example": "Missing required scopes: customer:create."
                    }
                  }
                },
                "example": {
                  "message": "Missing required scopes: customer:create."
                }
              },
              "text/html": {
                "schema": {
                  "type": "string",
                  "example": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          },
          "404": {
            "description": "Resource was not found or not enough access privileges"
          },
          "415": {
            "description": "Resource representation send in the request is not supported."
          }
        }
      }
    }
  }
}
```